# BlockEntry

A `BlockEntry` is a single block in a `BlockMap`. It has methods to retrieve the linedefs, things, sectors, and vertices that are in this block.
## Methods

---
<span style="float:right;font-weight:normal;font-size:66%">Version: 5</span>
### getLinedefs()
Gets all `Linedef`s in the blockmap entry.
#### Return value
`Array` of `Linedef`s

---
<span style="float:right;font-weight:normal;font-size:66%">Version: 5</span>
### getSectors()
Gets all `Sector`s in the blockmap entry.
#### Return value
`Array` of `Sector`s

---
<span style="float:right;font-weight:normal;font-size:66%">Version: 5</span>
### getThings()
Gets all `Thing`s in the blockmap entry.
#### Return value
`Array` of `Thing`s

---
<span style="float:right;font-weight:normal;font-size:66%">Version: 5</span>
### getVertices()
Gets all `Vertex` in the blockmap entry.
#### Return value
`Array` of `Vertex`
